{
  // Use IntelliSense to find out which attributes exist for C# debugging
  // Use hover for the description of the existing attributes
  // For further information visit https://github.com/OmniSharp/omnisharp-vscode/blob/master/debugger-launchjson.md
  "version": "0.2.0",
  "configurations": [

    {
      "name": ".NET Core Launch (web)",
      "type": "coreclr",
      "request": "launch",
      "preLaunchTask": "build debug",
      // If you have changed target frameworks, make sure to update the program path.
      //#### THIS MEANS YOU JOHNNY!  If the debugger fails this is the issue
      "program": "${workspaceFolder}/server/bin/Debug/net6.0/sockeye.dll",
      "args": [],
      "cwd": "${workspaceFolder}/server",
      "stopAtEntry": false,
      "internalConsoleOptions": "openOnSessionStart",
      // Enable launching a web browser when ASP.NET Core starts. For more information: https://aka.ms/VSCode-CS-LaunchJson-WebBrowser
      //this needs to be tweaked probably
      //https://github.com/OmniSharp/omnisharp-vscode/blob/master/debugger-launchjson.md#starting-a-web-browser
      "serverReadyAction": {
        "action": "openExternally",
        "pattern": "^\\s*Now listening on:\\s+(https?://\\S+)"
      },

    

      "env": {
        //############ PERPETUAL BLOCK ######################
        //   "ASPNETCORE_ENVIRONMENT": "Development",
        "SOCKEYE_JWT_SECRET": "1111111MyRandom32CharacterSecret",
        "SOCKEYE_LOG_LEVEL": "Info",
        //"SOCKEYE_LOG_LEVEL": "Debug",
        //"SOCKEYE_LOG_LEVEL": "Trace",
        "SOCKEYE_DEFAULT_TRANSLATION": "en",
        "SOCKEYE_DB_CONNECTION": "Server=localhost;Username=postgres;Password=sockeye;Database=sockeye;CommandTimeout=300;",
        "SOCKEYE_DATA_PATH": "c:\\temp\\sockeye",
        "SOCKEYE_USE_URLS": "http://*:7676;",
        "SOCKEYE_PERMANENTLY_ERASE_DATABASE":"true",
        //"SOCKEYE_REMOVE_LICENSE_FROM_DB":"true",
        //"SOCKEYE_REPORT_RENDERING_TIMEOUT":"1",
        "SOCKEYE_BACKUP_PG_DUMP_PATH": "C:\\data\\code\\postgres_14\\bin"
      },
      "sourceFileMap": {
        "/Views": "${workspaceFolder}/Views"
      }
    },
 
    {
      "name": ".NET Core Attach",
      "type": "coreclr",
      "request": "attach",
      "processId": "${command:pickProcess}"
    }
  ]
}